System.Security 2.0.0.0 4.0.0.0 System.Object System.Collections.ICollection To be added.

The class represents a set of objects. implements the interface.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  The constructor creates an instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  The constructor creates an instance of the class and adds the specified recipient.

  An instance of the class that represents the specified CMS/PKCS #7 recipient.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  The constructor creates an instance of the class and adds recipients based on the specified subject identifier and set of certificates that identify the recipients.

  A member of the enumeration that specifies the type of subject identifier.
  An collection that contains the certificates that identify the recipients.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 `` To be added.

  The method adds a recipient to the collection.

  If the method succeeds, the method returns an value that represents the zero-based position where the recipient is to be inserted.

  If the method fails, it throws an exception.

  A object that represents the recipient to add to the collection.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  The method copies the collection to an array.

  An object to which the collection is to be copied. The zero-based index in where the collection is copied.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  The method copies the collection to a array.

  An array of objects where the collection is to be copied. The zero-based index for the array of objects in to which the collection is copied.
- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  The property retrieves the number of items in the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Pkcs.CmsRecipientEnumerator To be added.

  The method returns a object for the collection.

  A object that can be used to enumerate the collection.

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  The property retrieves whether access to the collection is synchronized, or thread safe. This property always returns false, which means that the collection is not thread safe.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Pkcs.CmsRecipient `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added.

  The method removes a recipient from the collection.

  A object that represents the recipient to remove from the collection.
- Property
  2.0.0.0
  4.0.0.0
  System.Object To be added. To be added.

  The property retrieves an object used to synchronize access to the collection.

- Method
  2.0.0.0
  4.0.0.0
  System.Collections.IEnumerator To be added.

  The method returns a object for the collection.

  A object that can be used to enumerate the collection.